interface Trigger {

    trigger(item:LibData, index:number, target:Vue):void;

}

declare const enum TriggerName {
    Router = 'Router',
    Function = 'Function'
}

type TriggerDataObject = {
    [key in TriggerName]: Trigger.prototype
}

interface TriggerData {

    trigger?: Trigger.prototype

}